Bug 1002812 - _xgeWireToEvent: Unknown extension 131, this should never happen
_xgeWireToEvent: Unknown extension 131, this should never happen
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Peter Hutterer
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2013-08-30 00:43 EDT by Peter Hutterer
Modified: 2014-05-03 18:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: xorg-x11-server-1.14.2-10.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-03-05 00:07:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Hutterer 2013-08-30 00:43:10 EDT
Description of problem:
Invalid access of a grab mask in the server causes the server to send events to the client when the client hasn't registered for it. libXext intercepts these and prints 

  _xgeWireToEvent: Unknown extension 131, this should never happen

where 131 is (in this case) the input extension opcode

Version-Release number of selected component (if applicable):

How reproducible:
Not reliably reproducible since it depends on a random bit to be set or not set. In my case I managed to reproduce and debug it by opening a Xephyr window, clicking inside the window and then moving out of the window (causing a leave event to be sent). Again, this depends on whatever the invalid memory location happens to be.
Comment 2 Peter Hutterer 2013-08-30 03:41:14 EDT

xorg-x11-server-1.14.2-10.el7 is available in brew
Comment 4 Richard Russon 2013-10-21 08:27:04 EDT
This is also happening in Fedora 20 (alpha)
(up-to-date as of 2013-10-21)

I can reproduce the problem reliably using graphviz and ImageMagick.

Steps to reproduce:
1: dot -Tpng <<< "digraph d { hello }" | strace -o out display -
2: click on graph

Comment 5 Peter Hutterer 2013-10-27 21:15:34 EDT
Richard: I haven't ported those patches to F20 yet, but they're upstream in master and in the stable branch, and in rawhide

Note You need to log in before you can comment on or make changes to this bug.